FROM registry.fedoraproject.org/fedora:37

RUN yum -y update

RUN yum -y install \
  diffutils \
  make \
  python-unversioned-command \
  python3-pip \
  npm \
  git \
  ;

# weasyprint dependencies
RUN yum -y install \
  pango \
  mozilla-fira-sans-fonts \
  mozilla-fira-mono-fonts \
  ;

RUN pip3 install git+https://gitlab.com/perm.pub/epijats.git

RUN npm install -g pandoc-katex-filter

COPY pandoc-2.19.2/bin/pandoc /usr/local/bin

RUN pip3 install git+https://gitlab.com/castedo/jsoml.git

RUN pip3 install "epijats[jats,pdf] @ git+https://gitlab.com/perm.pub/epijats.git"

RUN yum clean metadata
